---
sidebar_position: 3
---

# Produkt erstellen

Die gesamten Eigenschaften zum erzeugen eines Produktes können [hier](/docs/api/product-properties) nachvollzogen werden.


export const Highlight = ({children, color, inner}) => (
  <span
    style={{
        display: inner ? 'inline':'block',
        width: '100%',
      backgroundColor: color,
      borderRadius: '4px',
      color: '#fff',
      padding: inner ? '5px':'10px',
      cursor: 'pointer',
      fontSize: 'small',
    }}>
    {children}
  </span>
);


<Highlight color="#292929"><Highlight inner color="#4e92d7">POST</Highlight> /wp-json/wc/v3/tutoolio-products</Highlight>
<br />


```javascript
const data = {
  name: "Test Kurs",
  content_id: "123467",
  type: "course",
  sub_type: "semiro",
  regular_price: "21.99",
  description: "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.",
  short_description: "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.",
  categories: ['Cat-1', 'Cat-2'],
  images: [
    {
      src: "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/example_1.jpg"
    },
    {
      src: "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/example_2.jpg"
    }
  ],
  product_locations: [
    {
       location_city: "Düsseldorf",
    },
    {
       location_city: "Köln",
    },
  ],
  product_assets: [
    {
      asset_title: "Asset-1",
      asset_url: "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/asset_1.pdf"
    },
    {
      asset_title: "Asset-2",
      asset_url: "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/asset_2.pdf"
    },
  ]
};
```

### Beispiel javascript
```javascript
var myHeaders = new Headers();
myHeaders.append("Authorization", "Basic Y2tfMDQ1M2FhMjZkNDk5NGI2ZWYwYjI4ZTc1MTFjMmNjZTI2MmEzMjEyODpjc17zNzYwZmZmMWQ2M2E5N2E5NDE4MzVmOWZkZThmNzMwMDRiZDIyM2Iz");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "name": "TestProdukt 13",
  "product_locations": [
    {
       "location_city": "Düsseldorf",
    },
    {
       "location_city": "Köln",
    },
  ],
  "product_assets": [
    {
      "asset_title": "Asset-1",
      "asset_url": "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/asset_1.pdf"
    },
    {
      "asset_title": "Asset-2",
      "asset_url": "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/asset_2.pdf"
    },
  ]
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://shop.int-tutool.io/daev/wp-json/wc/v3/tutoolio-products/632", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));

```
### Beispiel curl

```bash
curl --location --request PUT 'https://shop.int-tutool.io/daev/wp-json/wc/v3/products/632' \
--header 'Authorization: Basic Y2tfMDQ1M2FhMjZkNDk5NGI2ZWYwYjI4ZTc1MTFjMmNjZTI2MsmEzMjEyODpjc18zNzYwZmZmMWQ2M2E5N2E5NDE4MzVmOWZkZThmNzMwMDRiZDIyM2Iz' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "TestProdukt 13",
      "product_locations": [
    {
       "location_city": "Düsseldorf"
    },
    {
       "location_city": "Köln"
    }
  ],
  "product_assets": [
    {
      "asset_title": "Asset-1",
      "asset_url": "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/asset_1.pdf"
    },
    {
      "asset_title": "Asset-2",
      "asset_url": "http://shop.int-tutool.io/daev-shop/wp-content/uploads/sites/56/2013/06/asset_2.pdf"
    }
  ]
}'
```
